From 55b69cbacc40a684b6abafee155aa8fa63218433 Mon Sep 17 00:00:00 2001
From: Jiangyi Chen <chenjiangyi@uniontech.com>
Date: Tue, 9 Mar 2021 11:46:53 +0800
Subject: [PATCH] shell32: Use CP_UTF8 in __SHCloneStrAtoW. Fix problem that
 some paths cannot be opened by ShellExecuteA or ShellExecuteExA.

Signed-off-by: Jiangyi Chen <chenjiangyi@uniontech.com>
---
 dlls/shell32/shell32_main.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dlls/shell32/shell32_main.h b/dlls/shell32/shell32_main.h
index da50e19de46..5bae98d8c37 100644
--- a/dlls/shell32/shell32_main.h
+++ b/dlls/shell32/shell32_main.h
@@ -168,9 +168,9 @@ static inline BOOL SHELL_OsIsUnicode(void)
 
 static inline WCHAR * __SHCloneStrAtoW(WCHAR ** target, const char * source)
 {
-	int len = MultiByteToWideChar(CP_ACP, 0, source, -1, NULL, 0);
+	int len = MultiByteToWideChar(CP_UTF8, 0, source, -1, NULL, 0);
 	*target = SHAlloc(len*sizeof(WCHAR));
-	MultiByteToWideChar(CP_ACP, 0, source, -1, *target, len);
+	MultiByteToWideChar(CP_UTF8, 0, source, -1, *target, len);
 	return *target;
 }
 
-- 
2.20.1

